#ifndef _OGREVISIBILITYPREDICTOR_H__
#define _OGREVISIBILITYPREDICTOR_H__

#include <Ogre.h>
#include "ViewCellsManager.h"
#include "HierarchyInterface.h"


namespace Ogre {
 
/** Visibility predictor
*/

class __declspec(dllexport) VisibilityPredictor
{
public:
    
	void HandleProbablyVisibleObjects(GtpVisibilityPreprocessor::ViewCell *vc);
	void UpdateVisibility(GtpVisibilityPreprocessor::ViewCell *vc);

	VisibilityPredictor();

protected:

	GtpVisibility::HierarchyNodeContainer mNodeBuffer;
};


} // namespace Ogre

#endif // VisibilityPredictor